Download it now!
Bug 123859 - Move slides in LO Impress -> slides disappear and finally it leads to crash
Summary: Move slides in LO Impress -> slides disappear and finally it leads to crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-03-05 07:33 UTC by Vera Blagoveschenskaya
Modified: 2019-05-06 06:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
video.mkv (756.88 KB, video/x-matroska)
2019-03-05 07:35 UTC, Vera Blagoveschenskaya
Details
gdbtrace.log (219.51 KB, text/x-log)
2019-03-05 07:50 UTC, Vera Blagoveschenskaya
Details
Backtrace of crash with gtk3 (18.81 KB, text/plain)
2019-03-05 10:37 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2019-03-05 07:33:38 UTC
Description:
Move slides in LO Impress -> slides disappear and finally it leads to crash

Steps to Reproduce:
This crash was found when I was trying to reproduce https://bugs.documentfoundation.org/show_bug.cgi?id=120774

1. Create test presentation with 4-5 slides
2. In the slide bar left-click on the last slide, keep mouse button pressed and drag the mouse to another position (for example, before the 1st slide).
3. Do the same 2-3 times

Actual Results:
- some slides disappear
- crash of the application

See video in the attachment

Expected Results:
- slides don't disappear
- no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.3.0.0.alpha0+
Build ID: bbc5347be70d11d187cd537dd73cdab584def719
CPU threads: 1; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-03_20:19:18
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

NOT reproduced if to start LO with gtk3
Comment 1 Vera Blagoveschenskaya 2019-03-05 07:35:26 UTC
Created attachment 149729 [details]
video.mkv
Comment 2 Michael Weghorn 2019-03-05 07:39:27 UTC
Confirmed, as mentioned in bug 120774 comment 5:

> Slides still get lost occasionally and non-reproducibly and I get a crash from
> time to time (the latter also happens with gtk3). Both of these issues can also 
> be reproduced without the fix for this bug.
> Both things happen when I just keep repeating steps 2 and 3 from the initial
> description in a loop. [...]

As written there, the crash appears for gtk3 as well in my case, not just kde5.
Comment 3 Vera Blagoveschenskaya 2019-03-05 07:50:08 UTC
Created attachment 149730 [details]
gdbtrace.log
Comment 4 Vera Blagoveschenskaya 2019-03-05 08:27:36 UTC
(In reply to Michael Weghorn from comment #2)
> Confirmed, as mentioned in bug 120774 comment 5:
> 
> > Slides still get lost occasionally and non-reproducibly and I get a crash from
> > time to time (the latter also happens with gtk3). Both of these issues can also 
> > be reproduced without the fix for this bug.
> > Both things happen when I just keep repeating steps 2 and 3 from the initial
> > description in a loop. [...]
> 
> As written there, the crash appears for gtk3 as well in my case, not just
> kde5.

I tried one more time with gtk3, no crash in my case and slides don't disappear.
Comment 5 Michael Weghorn 2019-03-05 10:37:29 UTC
Created attachment 149736 [details]
Backtrace of crash with gtk3

(In reply to Vera Blagoveschenskaya from comment #4)
> I tried one more time with gtk3, no crash in my case and slides don't
> disappear.

With gtk3, slides don't disappear for me either. Backtrace for the crash with gtk3 attached. It looks different from the one you attached, so let's consider this as another bug and not handle it here.
Comment 6 Commit Notification 2019-04-30 08:09:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6a67ecd9b12e68031b5dbacb591955b59f476b86%5E%21

tdf#123859: only accept drops when drop target was registered

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (Inactive) 2019-04-30 11:37:55 UTC
Peeps can some1 please test a daily with the above fix and also a fix of bug 124990 and see if the crash still happens?

I've if not completely removed then at least significantly reduced points that can lead to crash in kde/qt5 vclplug. Thus if crashes still happen, they come from generic, not kde5-specific code (Impress core etc.) and 'KDE' flag should then be removed.

Also, I'd be helpful to have some easy to repeat steps + sample document that reliably crashes when DnD in slide sorter as I guess it doesn't happen with every document
Comment 8 Michael Weghorn 2019-04-30 19:05:16 UTC
(In reply to Katarina Behrens (CIB) from comment #7)
> Peeps can some1 please test a daily with the above fix and also a fix of bug
> 124990 and see if the crash still happens?

Works fine for me now and I couldn't reproduce any crashes any more with

Version: 6.3.0.0.alpha0+
Build ID: 4aeb48d4691f8852b7afd908637d1a85ae434c84
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

So from my side, this can be closed as fixed. Many thanks for fixing this! On my list, this was the top kde5 issue. :)

@Vera: Can you confirm it's fixed?


> Also, I'd be helpful to have some easy to repeat steps + sample document
> that reliably crashes when DnD in slide sorter as I guess it doesn't happen
> with every document

The crashes I got earlier seemed to be independent of the document, yet unfortunately not reliably reproducible via clear steps.
Comment 9 Commit Notification 2019-04-30 21:45:01 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/69582a4afcc2d8f0da602d319b5785609c0292ad%5E%21

tdf#123859: only accept drops when drop target was registered

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Vera Blagoveschenskaya 2019-05-06 06:30:37 UTC
Hello all!
I've checked the behavior for 

Version: 6.3.0.0.alpha0+
Build ID: 98630a0bd49bd80652145a21e4e0d0ded792b36b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-04_04:44:35
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Bug is not reproduced. No crash and slides don't disappear.
Thx!